{--------------------------------------------------------}
{
{    Programa para emisso de cheques
{
{    Mdulo de variveis
{
{    Autor: Antonio Borges
{
{    Em Agosto de 2001
{
{--------------------------------------------------------}

{$N+}

unit chMsg;

interface
uses dvcrt, dvwin, windows, chvars;

function pegaTextoMensagem (nomeArq: string): string;
procedure mensagem (nomeArq: string; nlf: integer);
procedure bipSpeaker (pitch: integer);
procedure titulo;


implementation

{--------------------------------------------------------}
{              descobre o texto da mensagem
{--------------------------------------------------------}

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
    if nomeArq = 'CHINIC'   then   s := 'Cheque Vox - verso '
    else
    if nomeArq = 'CHBANATU' then   s := 'Banco atual: '
    else
    if nomeArq = 'CHOPCAO'  then   s := 'Sua opo: '
    else
    if nomeArq = 'CHF1AJUD' then   s := 'Aperte F1 se precisar de ajuda.'
    else
    if nomeArq = 'CHFIM'    then   s := 'Fim do programa'
    else
    if nomeArq = 'CHAJUD0'  then   s := 'As opes so:'
    else
    if nomeArq = 'CHAJUD1'  then   s := '   C  configurar'
    else
    if nomeArq = 'CHAJUD2'  then   s := '   E  emitir cheque'
    else
    if nomeArq = 'CHAJUD3'  then   s := '   L  lanamento bancrio'
    else
    if nomeArq = 'CHAJUD4'  then   s := '   F  folhear lanamentos'
    else
    if nomeArq = 'CHAJUD5'  then   s := '   X  gera extrato dos lanamentos'
    else
    if nomeArq = 'CHAJUD9'  then   s := '   ESC  fim'
    else
    if nomeArq = 'CHOPCONF' then   s := 'O que deseja configurar?'
    else
    if nomeArq = 'CHAJC0'   then   s := 'As opes de configurao so:'
    else
    if nomeArq = 'CHAJC1'   then   s := '   P    altera dados pessoais'
    else
    if nomeArq = 'CHAJC2'   then   s := '   N    registra novo banco'
    else
    if nomeArq = 'CHAJC3'   then   s := '   B    troca banco atual'
    else
    if nomeArq = 'CHAJC4'   then   s := '   C    altera a configurao do banco atual'
    else
    if nomeArq = 'CHAJC5'   then   s := '   R    remove um banco registrado'
    else
    if nomeArq = 'CHAJC9'   then   s := '   ESC  fim das configuraes'
    else
    if nomeArq = 'CHOKCONF' then   s := 'Ok, configurado'
    else
    if nomeArq = 'CHALTPES' then   s := 'Use as setas para alterar os dados pessoais, ESC termina'
    else
    if nomeArq = 'CHSEMREG' then   s := 'Nenhum banco foi registrado'
    else
    if nomeArq = 'CHCNFNOV' then   s := 'Por favor, configure o banco atual'
    else
    if nomeArq = 'CHSELBNK' then   s := 'Use as setas para selecionar o banco, ESC termina'
    else
    if nomeArq = 'CHEXECAD' then   s := 'Dados esto incompletos, atualize seus dados pessoais'
    else
    if nomeArq = 'CHDESIST' then   s := 'Desistiu...'
    else
    if nomeArq = 'CHNOVBNK' then   s := 'Informe o nome do novo banco'
    else
    if nomeArq = 'CHPREVRG' then   s := 'Ateno, este banco havia sido anteriormente cadastrado'
    else
    if nomeArq = 'CHAJUSP'  then   s := 'Ajustando posies de escrita.'
    else
    if nomeArq = 'CHREGUA'  then   s := 'Algum vai ajud-lo a medir com uma rgua.'
    else
    if nomeArq = 'CHPRECHE' then   s := 'Preencha os dados a seguir para pr-edio do cheque.'
    else
    if nomeArq = 'CHCAMPOB' then   s := 'Os campos com * so opcionais, porm desejveis.'
    else
    if nomeArq = 'CHINIMPR' then   s := 'Posso iniciar a impresso? '
    else
    if nomeArq = 'CHOPINV'  then   s := 'Opo invlida, aperte F1 para ajuda'
    else
    if nomeArq = 'CHVERERR' then   s := 'Quer corrigir os erros e tentar de novo? '
    else
    if nomeArq = 'CHREEDIT' then   s := 'Reveja os campos do cheque.'
    else
    if nomeArq = 'CHDATERR' then   s := 'Campo data est com erro, aperte enter'
    else
    if nomeArq = 'CHVALERR' then   s := 'Campo valor est com erro, aperte enter'
    else
    if nomeArq = 'CHDCERR'  then   s := 'Campo dbito/crdito est com erro, aperte enter'
    else
    if nomeArq = 'CHVALINV' then   s := 'Valor invlido, no use pontos.  Use vrgula e 2 dgitos nos centavos.'
    else
    if nomeArq = 'CHDATINV' then   s := 'Data invlida'
    else
    if nomeArq = 'CHFRENT'  then   s := 'Coloque a frente do cheque na impressora e aperte ENTER'
    else
    if nomeArq = 'CHVERSO'  then   s := 'Coloque o verso do cheque na impressora e aperte ENTER para imprimir'
    else
    if nomeArq = 'CHVERSO2' then   s := 'ESC no quiser dados no verso'
    else
    if nomeArq = 'CHAJUSTE' then   s := 'ltimos ajustes, edite como vai ser impresso'
    else
    if nomeArq = 'CHPREFOR' then   s := 'Preencha o formulrio com o lanamento a registrar'
    else
    if nomeArq = 'CHCAMOPC' then   s := 'Os campos com * so opcionais'
    else
    if nomeArq = 'CHOKLANC' then   s := 'Ok, lanado'
    else
    if nomeArq = 'CHLANNAO' then   s := 'Lanamento no foi registrado.  Nome do arquivo no foi definido.'
    else
    if nomeArq = 'CHLANERR' then   s := 'Lanamento no foi registrado.  Erro no arquivo de lanamentos.'
    else
    if nomeArq = 'CHARQNDF' then   s := 'Nome do arquivo de lanamentos no foi definido.'
    else
    if nomeArq = 'CHARQERR' then   s := 'Arquivo de lanamentos est vazio ou no foi achado.'
    else
    if nomeArq = 'CHLANREG' then   s := 'Lanamento foi registrado'
    else
    if nomeArq = 'CHLANNAT' then   s := 'Erro no arquivo de lanamentos.'
    else
    if nomeArq = 'CHAJFL00' then   s := 'Opes de folheamento:'
    else
    if nomeArq = 'CHAJFL01' then   s := 'E - editar'
    else
    if nomeArq = 'CHAJFL02' then   s := 'R - remover lanamento'
    else
    if nomeArq = 'CHAJFL03' then   s := 'N - novo lanamento'
    else
    if nomeArq = 'CHAJFL04' then   s := 'S - saldo final'
    else
    if nomeArq = 'CHAJFL05' then   s := 'F5 - procura um lanamento'
    else
    if nomeArq = 'CHAJFL06' then   s := 'CTL F5 - procura prximo'
    else
    if nomeArq = 'CHAJFL09' then   s := 'ESC - termina'
    else
    if nomeArq = 'CHEABIMP' then   s := 'Erro ao abrir a impressora.'
    else
    if nomeArq = 'CHERESOL' then   s := 'Modo selecionado para a impressora no  adequado.'
    else
    if nomeArq = 'CHPOSALT' then   s := 'Posies de impresso foram alteradas.'
    else
    if nomeArq = 'CHMODOK'  then   s := 'O modelo foi impresso nas posies corretas?'
    else
    if nomeArq = 'CHATUALM' then   s := 'Atualmente '
    else
    if nomeArq = 'CHINFARQ' then   s := 'Informe o nome do arquivo de registro (sugiro usar extenso .chq):'
    else
    if nomeArq = 'CHCNFREM' then   s := 'Confirma remoo? '
    else
    if nomeArq = 'CHSALFIN' then   s := 'Saldo final: '
    else
    if nomeArq = 'CHTXTBUS' then   s := 'Qual o texto buscado? '
    else
    if nomeArq = 'CHNAOACH' then   s := 'No achou'
    else
    if nomeArq = 'CHACHOU'  then   s := 'Achou'
    else
    if nomeArq = 'CHTERESC' then   s := 'Termine com ESC'
    else
    if nomeArq = 'CHPFMESC' then   s := 'Preencha o formulrio a seguir, termine com ESC'
    else
    if nomeArq = 'CHESCDSJ' then   s := 'Selecione com as setas o campo desajustado e aperte enter'
    else
    if nomeArq = 'CHSELDSL' then   s := 'Selecione agora o deslocamento a realizar'
    else
    if nomeArq = 'CHOK'     then   s := 'OK.'
    else
    if nomeArq = 'CHESQ'    then   s := 'Esquerda'
    else
    if nomeArq = 'CHDIR'    then   s := 'Direita'
    else
    if nomeArq = 'CHCIMA'   then   s := 'Cima'
    else
    if nomeArq = 'CHBAIXO'  then   s := 'Baixo'
    else
    if nomeArq = 'CHNOME'   then   s := 'Nome'
    else
    if nomeArq = 'CHIDENT'  then   s := 'Identidade'
    else
    if nomeArq = 'CHEXPEDI' then   s := 'Expedidor'
    else
    if nomeArq = 'CHCPF'    then   s := 'CPF'
    else
    if nomeArq = 'CHTELEFO' then   s := 'Telefone'
    else
    if nomeArq = 'CHENDERE' then   s := 'Endereo'
    else
    if nomeArq = 'CHBAIRRO' then   s := 'Bairro'
    else
    if nomeArq = 'CHCIDADE' then   s := 'Cidade'
    else
    if nomeArq = 'CHARQLAN' then   s := 'Nome do Arquivo Lanamento'
    else
    if nomeArq = 'CHANO4'   then   s := 'Escreve ano com 4 digitos'
    else
    if nomeArq = 'CHIMPDEI' then   s := 'Imprime cheque deitado'
    else
    if nomeArq = 'CHRESTAU' then   s := 'Restaura valores de fbrica'
    else
    if nomeArq = 'CHMILDIR' then   s := 'Milmetros para a direita'
    else
    if nomeArq = 'CHMILBAI' then   s := 'Milmetros para baixo'
    else
    if nomeArq = 'CHDATA'   then   s := 'Data'
    else
    if nomeArq = 'CHTIPDOC' then   s := 'Tipo do documento'
    else
    if nomeArq = 'CHVALDOC' then   s := 'Valor'
    else
    if nomeArq = 'CHDEBCRE' then   s := 'Dbito ou crdito?'
    else
    if nomeArq = 'CHNUMSER' then   s := '*Nmero de Srie'
    else
    if nomeArq = 'CHNUMDOC' then   s := '*Nmero do documento'
    else
    if nomeArq = 'CHFAVDOC' then   s := '*Favorecido'
    else
    if nomeArq = 'CHFINDOC' then   s := '*Finalidade'
    else
    if nomeArq = 'CHVALOR'  then   s := 'Valor'
    else
    if nomeArq = 'CHFAVORE' then   s := 'Favorecido'
    else
    if nomeArq = 'CHCIDEMI' then   s := 'Cidade de emisso'
    else
    if nomeArq = 'CHDATEMI' then   s := 'Data da emisso'
    else
    if nomeArq = 'CHCHCRUZ' then   s := 'Cheque  cruzado'
    else
    if nomeArq = 'CHFINALI' then   s := '*Finalidade'
    else
    if nomeArq = 'CHSERCHQ' then   s := '*Srie do cheque'
    else
    if nomeArq = 'CHNUMCHQ' then   s := '*Nmero do cheque'
    else
    if nomeArq = 'CHEXT1'   then   s := 'Primeiro nmero extenso'
    else
    if nomeArq = 'CHEXT2'   then   s := 'Segundo nmero extenso'
    else
    if nomeArq = 'CHDIA'    then   s := 'Dia'
    else
    if nomeArq = 'CHMES'    then   s := 'Ms'
    else
    if nomeArq = 'CHANO'    then   s := 'Ano'
    else
    if nomeArq = 'CHDESAJU' then   s := 'Selecione com as setas o campo desajustado e aperte enter'
    else
    if nomeArq = 'CHSELDSL' then   s := 'Escolha com as setas a direo a deslocar e aperte enter'
    else
    if nomeArq = 'CHINFMIL' then   s := 'Quantos milmetros desloco ? '
    else
    if nomeArq = 'CHQTXT'   then   s := 'Informe o nome do arquivo TXT a gerar'
    else
    if nomeArq = 'CHARQINC' then   s := 'Nome de arquivo incorreto'
    else
    if nomeArq = 'CHARQNCR' then   s := 'Arquivo no pde ser criado.'
    else
    if nomeArq = 'CHARQATU' then   s := 'O nome do arquivo de lanamentos '
    else
    if nomeArq = 'CHDESALT' then   s := 'Deseja trocar de arquivo? '
    else
    if nomeArq = 'CHDIGNOM' then   s := 'Digite o novo nome do arquivo atual (use extenso .CHQ)'
    else
    if nomeArq = 'CHCNFPOS' then   s := 'Quer configurar a impresso? '
    else
    if nomeArq = 'CHCNFIMP' then   s := 'Configurao da impresso'
    else
    if nomeArq = 'CHCNFLAN' then   s := 'Confirma lanamento? '

    else
        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{                    d uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;

begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end;

{--------------------------------------------------------}
{                    d uma mensagem
{--------------------------------------------------------}

procedure bipSpeaker (pitch: integer);
begin
   SpeakerSound (pitch);
   delay (100);
   SpeakerNoSound;
end;

{--------------------------------------------------------}
{                   ttulo do programa
{--------------------------------------------------------}

procedure titulo;
begin
    clrscr;
    setWindowText (crtWindow, 'Cheque Vox');
    textbackground (BLUE);
    writeln (' ***   *   * *****  ***   *   *  *****     *   *  ***  *   *');
    writeln ('*   *  *   * *     *   *  *   *  *         *   * *   *  * * ');
    writeln ('*      *   * *     *   *  *   *  *         *   * *   *  *** ');
    writeln ('*      ***** ****  *   *  *   *  ***        * *  *   *   *  ');
    writeln ('*      *   * *     *   *  *   *  *          * *  *   *  *** ');
    writeln ('*   *  *   * *     *  **  *   *  *           *   *   *  * * ');
    writeln (' ***   *   * *****  ****   ***   *****       *    ***  *   *');
    textbackground (BLACK); clreol;
    writeln;
    mensagem ('CHINIC', 0);      {'Chequevox - verso '}
    sintWriteln (versao);
    writeln;
end;

end.
